using System;

internal sealed class Delegate586 : MulticastDelegate
{
	public extern void Invoke(object object_0, string string_0);

	public static void smethod_0(object object_0, string string_0, Delegate586 delegate586_1)
	{
		delegate586_1(object_0, string_0);
	}

	public extern Delegate586(object object_0, IntPtr intptr_0);

	static Delegate586()
	{
		Class10.smethod_13(typeof(Delegate586).TypeHandle);
	}

	internal static Delegate586 delegate586_0;
}
